	.module memtest.c
	.area text(rom, con, rel)
	.dbfile D:\AVREXT~1\Sram_test/lcd.h
	.dbfunc e delay _delay fV
;          ticks -> y+8
	.even
_delay::
	xcall push_arg4
	xcall push_gset2
	sbiw R28,4
	.dbline -1
	.dbline 18
; #include "asmegam.h"
; #include "lcd.h"
; 
; void port_init(void)
; {
; 	DDRD |= (LED0 | LED1);
; 	PORTD |= (LED0 | LED1);
; 
; 	PORTC = 0;
; }
; 
; void timer0_init(void)
; {
; 	TCCR0 = 0x00;
; 	ASSR  = 0x08;
; 	TCNT0 = 0x00;
; 	TCCR0 = 0x04;
; }
L2:
	.dbline 20
L3:
	.dbline 19
; 
	movw R30,R28
	ldd R2,z+8
	ldd R3,z+9
	ldd R4,z+10
	ldd R5,z+11
	std z+0,R2
	std z+1,R3
	std z+2,R4
	std z+3,R5
	ldi R20,1
	ldi R21,0
	ldi R22,0
	ldi R23,0
	sub R2,R20
	sbc R3,R21
	sbc R4,R22
	sbc R5,R23
	std z+8,R2
	std z+9,R3
	std z+10,R4
	std z+11,R5
	ldi R20,0
	ldi R21,0
	ldi R22,0
	ldi R23,0
	ldd R2,z+0
	ldd R3,z+1
	ldd R4,z+2
	ldd R5,z+3
	cp R2,R20
	cpc R3,R21
	cpc R4,R22
	cpc R5,R23
	brne L2
	.dbline -2
	.dbline 21
; // hw mode
; 
L1:
	adiw R28,4
	xcall pop_gset2
	adiw R28,4
	.dbline 0 ; func end
	ret
	.dbsym l ticks 8 l
	.dbend
	.dbfunc e lcd_pulse _lcd_pulse fV
	.even
_lcd_pulse::
	xcall push_gset2
	.dbline -1
	.dbline 24
; void mem_init()
; {
; 	PORTA = 0x00;
	.dbline 25
; 	PORTC = 0x00;
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 26
; 	PORTG = 3; // rd|wr
	sbi 0x3,2
	.dbline 27
; 	DDRA = 0xff;
	ldi R16,30
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 28
; 	DDRC = 0xff;
	cbi 0x3,2
	.dbline 29
; 	DDRG |= 7;
	ldi R16,30
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline -2
	.dbline 30
; 
L5:
	xcall pop_gset2
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e lcd_wait _lcd_wait fV
	.even
_lcd_wait::
	xcall push_gset2
	.dbline -1
	.dbline 33
; 	MCUCR |= (1<<7) | (1<<6); // sram enable, sram wait state
; 	XMCRA = (1<<3) | (1<<2); // all lower section, max. waitstates
; 	XMCRB = (1<<7) | (1<<0); // bus keeper + release pc7
	.dbline 34
; }
	ldi R16,244
	ldi R17,1
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline -2
	.dbline 35
; 
L6:
	xcall pop_gset2
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e lcd_send _lcd_send fV
;           data -> R10
	.even
_lcd_send::
	xcall push_gset3
	mov R10,R16
	.dbline -1
	.dbline 38
; void mem_deinit()
; {
; 	MCUCR &= ~((1<<7) | (1<<6)); // sram enable, sram wait state
	.dbline 39
; 	XMCRA &= ~((1<<3) | (1<<2)); // all lower section, max. waitstates
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 40
; 	XMCRB &= ~((1<<7) | (1<<0)); // bus keeper + release pc7
	out 0x1b,R10
	.dbline 41
; }
	xcall _lcd_pulse
	.dbline -2
	.dbline 42
; 
L7:
	xcall pop_gset3
	.dbline 0 ; func end
	ret
	.dbsym r data 10 c
	.dbend
	.dbfunc e clrscr _clrscr fV
	.even
_clrscr::
	xcall push_gset2
	.dbline -1
	.dbline 45
; volatile byte *mem = ((volatile unsigned char *)0x0000);
; 
; void mem_write(word a, byte d)
	.dbline 46
; {
	ldi R16,10
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 47
; 	mem[a] = d;
	cbi 0x15,6
	.dbline 48
; }
	ldi R16,10
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 49
; 
	cbi 0x15,5
	.dbline 50
; byte mem_read(word a)
	ldi R16,10
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 51
; {
	ldi R16,1
	xcall _lcd_send
	.dbline 52
; 	return mem[a];
	xcall _lcd_wait
	.dbline -2
	.dbline 53
; }
L8:
	xcall pop_gset2
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e init_lcd _init_lcd fV
	.even
_init_lcd::
	xcall push_gset2
	.dbline -1
	.dbline 56
; 
; byte hex[16] = "0123456789abcdef";
; 
	.dbline 57
; void puthexbyte(byte a)
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 58
; {
	in R24,0x14
	ori R24,100
	out 0x14,R24
	.dbline 59
; 	putchar(hex[a>>4]);
	sbi 0x2,2
	.dbline 60
; 	putchar(hex[a&15]);
	ldi R24,255
	out 0x1a,R24
	.dbline 61
; }
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 62
; 
	cbi 0x15,5
	.dbline 63
; void puthexword(word a)
	cbi 0x15,6
	.dbline 64
; {
	xcall _lcd_wait
	.dbline 65
; 	putchar(hex[(a>>12)%15]);
	ldi R16,60
	xcall _lcd_send
	.dbline 66
; 	putchar(hex[(a>>8)%15]);
	xcall _lcd_wait
	.dbline 67
; 	putchar(hex[(a>>4)%15]);
	ldi R16,60
	xcall _lcd_send
	.dbline 68
; 	putchar(hex[a&15]);
	xcall _lcd_wait
	.dbline 69
; }
	ldi R16,60
	xcall _lcd_send
	.dbline 70
; 
	xcall _lcd_wait
	.dbline 71
; byte f(word i, byte t)
	ldi R16,6
	xcall _lcd_send
	.dbline 72
; {
	xcall _lcd_wait
	.dbline 73
; 	if(t == 0)
	ldi R16,12
	xcall _lcd_send
	.dbline 74
; 		return 0;
	xcall _lcd_wait
	.dbline 75
; 	else if(t == 1)
	ldi R16,1
	xcall _lcd_send
	.dbline 76
; 		return 0xff;
	xcall _lcd_wait
	.dbline -2
	.dbline 77
; 	else 
L9:
	xcall pop_gset2
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e gotoz _gotoz fV
;              z -> R10
	.even
_gotoz::
	xcall push_gset3
	mov R10,R16
	.dbline -1
	.dbline 80
; 		return (i>>(t-2))&0xff;
; }
; 
	.dbline 81
; void main(void) //  
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 82
; {
	cbi 0x15,5
	.dbline 83
; 	word i,t;
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 84
; 	byte ok;
	cbi 0x15,6
	.dbline 85
; 
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 86
; 	CLI(); //   
	mov R16,R10
	ori R16,128
	xcall _lcd_send
	.dbline -2
	.dbline 87
; 	XDIV  = 0x00; //  . ICCAVR AppBuilder
L10:
	xcall pop_gset3
	.dbline 0 ; func end
	ret
	.dbsym r z 10 c
	.dbend
	.dbfunc e putchar _putchar fV
;              c -> R10
	.even
_putchar::
	xcall push_gset3
	mov R10,R16
	.dbline -1
	.dbline 92
; 	XMCRA = 0x0A; //external memory
; 	XMCRB = 0x00;
; 	port_init();
; 	MCUCR = 0x00;
; 	EICRA = 0x00;
	.dbline 93
; 	EICRB = 0x00;
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 94
; 	EIMSK = 0x00;
	cbi 0x15,5
	.dbline 95
; 	TIMSK = 0x01;
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 96
; 	ETIMSK = 0x00;
	sbi 0x15,6
	.dbline 97
; 		
	ldi R16,3
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _delay
	.dbline 98
; 	init_lcd(); //    
	mov R16,R10
	xcall _lcd_send
	.dbline -2
	.dbline 99
; 
L11:
	xcall pop_gset3
	.dbline 0 ; func end
	ret
	.dbsym r c 10 c
	.dbend
	.dbfunc e outtexts _outtexts fV
;              i -> R20
;              s -> R22,R23
	.even
_outtexts::
	xcall push_gset2
	movw R22,R16
	.dbline -1
	.dbline 102
; 	gotoxy(0,0);
; 	outtext("Testing...");
; 
	.dbline 103
; 	gotoxy(0,1);
	clr R20
	xjmp L14
L13:
	.dbline 105
	.dbline 106
	mov R30,R20
	clr R31
	add R30,R22
	adc R31,R23
	lpm R16,Z
	xcall _putchar
	.dbline 107
	inc R20
	.dbline 108
L14:
	.dbline 104
; 	outtext("Pass ");
	mov R30,R20
	clr R31
	add R30,R22
	adc R31,R23
	lpm R30,Z
	tst R30
	brne L13
	.dbline -2
	.dbline 109
; 
; 	ok = 1;
; 
; 	for(t = 0; t < 8 && ok; t++)
; 	{
L12:
	xcall pop_gset2
	.dbline 0 ; func end
	ret
	.dbsym r i 20 c
	.dbsym r s 22 pkc
	.dbend
	.dbfunc e outtext _outtext fV
;              i -> R20
;              s -> R22,R23
	.even
_outtext::
	xcall push_gset2
	movw R22,R16
	.dbline -1
	.dbline 112
; 		putchar(t+'A');
; 
; 		mem_init();
	.dbline 113
; 	
	clr R20
	xjmp L18
L17:
	.dbline 115
	.dbline 116
	mov R30,R20
	clr R31
	add R30,R22
	adc R31,R23
	ldd R16,z+0
	xcall _putchar
	.dbline 117
	inc R20
	.dbline 118
L18:
	.dbline 114
; 		for(i = 0x1100; i < 0x8000; i++)
	mov R30,R20
	clr R31
	add R30,R22
	adc R31,R23
	ldd R2,z+0
	tst R2
	brne L17
	.dbline -2
	.dbline 119
; 			mem_write(i,f(i,t));
; 
; 		for(i = 0x1100; i < 0x8000 && ok; i++)
; 			if(mem_read(i) != f(i,t))
; 				ok = 0;
L16:
	xcall pop_gset2
	.dbline 0 ; func end
	ret
	.dbsym r i 20 c
	.dbsym r s 22 pc
	.dbend
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
	.dbfunc e port_init _port_init fV
	.even
_port_init::
	.dbline -1
	.dbline 5
	.dbline 6
	in R24,0x11
	ori R24,192
	out 0x11,R24
	.dbline 7
	in R24,0x12
	ori R24,192
	out 0x12,R24
	.dbline 9
	clr R2
	out 0x15,R2
	.dbline -2
	.dbline 10
L20:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e timer0_init _timer0_init fV
	.even
_timer0_init::
	.dbline -1
	.dbline 13
	.dbline 14
	clr R2
	out 0x33,R2
	.dbline 15
	ldi R24,8
	out 0x30,R24
	.dbline 16
	out 0x32,R2
	.dbline 17
	ldi R24,4
	out 0x33,R24
	.dbline -2
	.dbline 18
L21:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e mem_init _mem_init fV
	.even
_mem_init::
	.dbline -1
	.dbline 23
	.dbline 24
	clr R2
	out 0x1b,R2
	.dbline 25
	out 0x15,R2
	.dbline 26
	ldi R24,3
	sts 101,R24
	.dbline 27
	ldi R24,255
	out 0x1a,R24
	.dbline 28
	out 0x14,R24
	.dbline 29
	lds R24,100
	ori R24,7
	sts 100,R24
	.dbline 31
	in R24,0x35
	ori R24,192
	out 0x35,R24
	.dbline 32
	ldi R24,12
	sts 109,R24
	.dbline 33
	ldi R24,129
	sts 108,R24
	.dbline -2
	.dbline 34
L22:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e mem_deinit _mem_deinit fV
	.even
_mem_deinit::
	.dbline -1
	.dbline 37
	.dbline 38
	in R24,0x35
	andi R24,63
	out 0x35,R24
	.dbline 39
	lds R24,109
	andi R24,243
	sts 109,R24
	.dbline 40
	lds R24,108
	andi R24,126
	sts 108,R24
	.dbline -2
	.dbline 41
L23:
	.dbline 0 ; func end
	ret
	.dbend
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
_mem::
	.blkb 2
	.area idata
	.word 0
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
	.dbsym e mem _mem pc
	.area text(rom, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
	.dbfunc e mem_write _mem_write fV
;              d -> R18
;              a -> R16,R17
	.even
_mem_write::
	.dbline -1
	.dbline 46
	.dbline 47
	lds R2,_mem
	lds R3,_mem+1
	movw R30,R16
	add R30,R2
	adc R31,R3
	std z+0,R18
	.dbline -2
	.dbline 48
L24:
	.dbline 0 ; func end
	ret
	.dbsym r d 18 c
	.dbsym r a 16 s
	.dbend
	.dbfunc e mem_read _mem_read fc
;              a -> R16,R17
	.even
_mem_read::
	.dbline -1
	.dbline 51
	.dbline 52
	lds R2,_mem
	lds R3,_mem+1
	movw R30,R16
	add R30,R2
	adc R31,R3
	ldd R16,z+0
	.dbline -2
L25:
	.dbline 0 ; func end
	ret
	.dbsym r a 16 s
	.dbend
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
_hex::
	.blkb 16
	.area idata
	.byte 48,49,50,51,52,53,54,55,56,57,'a,'b,'c,'d,'e,'f
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
	.dbsym e hex _hex A[16:16]c
	.area text(rom, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
	.dbfunc e puthexbyte _puthexbyte fV
;              a -> R20
	.even
_puthexbyte::
	xcall push_gset1
	mov R20,R16
	.dbline -1
	.dbline 58
	.dbline 59
	ldi R24,<_hex
	ldi R25,>_hex
	mov R30,R20
	clr R31
	asr R31
	ror R30
	asr R31
	ror R30
	asr R31
	ror R30
	asr R31
	ror R30
	add R30,R24
	adc R31,R25
	ldd R16,z+0
	xcall _putchar
	.dbline 60
	ldi R24,<_hex
	ldi R25,>_hex
	mov R30,R20
	clr R31
	andi R30,15
	andi R31,0
	add R30,R24
	adc R31,R25
	ldd R16,z+0
	xcall _putchar
	.dbline -2
	.dbline 61
L26:
	xcall pop_gset1
	.dbline 0 ; func end
	ret
	.dbsym r a 20 c
	.dbend
	.dbfunc e puthexword _puthexword fV
;              a -> R20,R21
	.even
_puthexword::
	xcall push_gset1
	movw R20,R16
	.dbline -1
	.dbline 64
	.dbline 65
	ldi R18,12
	ldi R19,0
	movw R16,R20
	xcall lsr16
	ldi R18,15
	ldi R19,0
	xcall mod16u
	movw R30,R16
	ldi R24,<_hex
	ldi R25,>_hex
	add R30,R24
	adc R31,R25
	ldd R16,z+0
	xcall _putchar
	.dbline 66
	ldi R18,15
	ldi R19,0
	movw R16,R20
	mov R16,R17
	clr R17
	xcall mod16u
	movw R30,R16
	ldi R24,<_hex
	ldi R25,>_hex
	add R30,R24
	adc R31,R25
	ldd R16,z+0
	xcall _putchar
	.dbline 67
	ldi R18,15
	ldi R19,0
	movw R16,R20
	lsr R17
	ror R16
	lsr R17
	ror R16
	lsr R17
	ror R16
	lsr R17
	ror R16
	xcall mod16u
	movw R30,R16
	ldi R24,<_hex
	ldi R25,>_hex
	add R30,R24
	adc R31,R25
	ldd R16,z+0
	xcall _putchar
	.dbline 68
	ldi R24,<_hex
	ldi R25,>_hex
	movw R30,R20
	andi R30,15
	andi R31,0
	add R30,R24
	adc R31,R25
	ldd R16,z+0
	xcall _putchar
	.dbline -2
	.dbline 69
L27:
	xcall pop_gset1
	.dbline 0 ; func end
	ret
	.dbsym r a 20 s
	.dbend
	.dbfunc e f _f fc
;              t -> R22
;              i -> R20,R21
	.even
_f::
	xcall push_gset2
	mov R22,R18
	movw R20,R16
	.dbline -1
	.dbline 72
	.dbline 73
	tst R22
	brne L29
	.dbline 74
	clr R16
	xjmp L28
L29:
	.dbline 75
	cpi R22,1
	brne L31
	.dbline 76
	ldi R16,255
	xjmp L28
L31:
	.dbline 78
	mov R18,R22
	clr R19
	subi R18,2
	sbci R19,0
	movw R16,R20
	xcall lsr16
	andi R17,0
	.dbline -2
L28:
	xcall pop_gset2
	.dbline 0 ; func end
	ret
	.dbsym r t 22 c
	.dbsym r i 20 s
	.dbend
	.dbfunc e main _main fV
;             ok -> R10
;              t -> R22,R23
;              i -> R20,R21
	.even
_main::
	.dbline -1
	.dbline 82
	.dbline 86
	cli
	.dbline 87
	clr R2
	out 0x3c,R2
	.dbline 88
	ldi R24,10
	sts 109,R24
	.dbline 89
	sts 108,R2
	.dbline 90
	xcall _port_init
	.dbline 91
	clr R2
	out 0x35,R2
	.dbline 92
	sts 106,R2
	.dbline 93
	out 0x3a,R2
	.dbline 94
	out 0x39,R2
	.dbline 95
	ldi R24,1
	out 0x37,R24
	.dbline 96
	sts 125,R2
	.dbline 98
	xcall _init_lcd
	.dbline 100
	clr R16
	xcall _gotoz
	.dbline 101
	ldi R16,<L34
	ldi R17,>L34
	xcall _outtext
	.dbline 103
	ldi R16,64
	xcall _gotoz
	.dbline 104
	ldi R16,<L35
	ldi R17,>L35
	xcall _outtext
	.dbline 106
	clr R10
	inc R10
	.dbline 108
	clr R22
	clr R23
	xjmp L39
L36:
	.dbline 109
	.dbline 110
	mov R16,R22
	subi R16,191  ; offset = 65
	sbci R17,255
	xcall _putchar
	.dbline 112
	xcall _mem_init
	.dbline 114
	ldi R20,4352
	ldi R21,17
	xjmp L43
L40:
	.dbline 115
	mov R18,R22
	movw R16,R20
	xcall _f
	mov R18,R16
	movw R16,R20
	xcall _mem_write
L41:
	.dbline 114
	subi R20,255  ; offset = 1
	sbci R21,255
L43:
	.dbline 114
	cpi R20,0
	ldi R30,128
	cpc R21,R30
	brlo L40
	.dbline 117
	ldi R20,4352
	ldi R21,17
	xjmp L47
L44:
	.dbline 118
	movw R16,R20
	xcall _mem_read
	mov R2,R16
	mov R18,R22
	movw R16,R20
	push R2
	xcall _f
	pop R2
	cp R2,R16
	breq L48
	.dbline 119
	clr R10
L48:
L45:
	.dbline 117
	subi R20,255  ; offset = 1
	sbci R21,255
L47:
	.dbline 117
	cpi R20,0
	ldi R30,128
	cpc R21,R30
	brsh L50
	tst R10
	brne L44
L50:
	.dbline 121
	xcall _mem_deinit
	.dbline 122
L37:
	.dbline 108
	subi R22,255  ; offset = 1
	sbci R23,255
L39:
	.dbline 108
	cpi R22,8
	ldi R30,0
	cpc R23,R30
	brsh L51
	tst R10
	brne L36
L51:
	.dbline 124
; 	
; 		mem_deinit();
; 	}
; 
; 	clrscr();
	xcall _clrscr
	.dbline 126
; 
; 	if(ok)
	tst R10
	breq L52
	.dbline 127
; 		outtext("SRAM present");
	ldi R16,<L54
	ldi R17,>L54
	xcall _outtext
	xjmp L53
L52:
	.dbline 129
	.dbline 130
	ldi R16,<L55
	ldi R17,>L55
	xcall _outtext
	.dbline 131
	ldi R16,64
	xcall _gotoz
	.dbline 132
	ldi R16,<L56
	ldi R17,>L56
	xcall _outtext
	.dbline 133
	mov R16,R22
	subi R16,191  ; offset = 65
	sbci R17,255
	xcall _putchar
	.dbline 134
	ldi R16,<L57
	ldi R17,>L57
	xcall _outtext
	.dbline 135
	movw R16,R20
	xcall _puthexword
	.dbline 136
L53:
	.dbline -2
	.dbline 137
; 	else
; 	{
; 		outtext("SRAM not present");
; 		gotoxy(0,1);
; 		outtext("Test=");
; 		putchar(t+'A');
; 		outtext(" Addr=");
; 		puthexword(i);
; 	}
; }
L33:
	.dbline 0 ; func end
	ret
	.dbsym r ok 10 c
	.dbsym r t 22 s
	.dbsym r i 20 s
	.dbend
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
L57:
	.blkb 7
	.area idata
	.byte 32,'A,'d,'d,'r,61,0
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
L56:
	.blkb 6
	.area idata
	.byte 'T,'e,'s,'t,61,0
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
L55:
	.blkb 17
	.area idata
	.byte 'S,'R,'A,'M,32,'n,'o,'t,32,'p,'r,'e,'s,'e,'n,'t
	.byte 0
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
L54:
	.blkb 13
	.area idata
	.byte 'S,'R,'A,'M,32,'p,'r,'e,'s,'e,'n,'t,0
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
L35:
	.blkb 6
	.area idata
	.byte 'P,'a,'s,'s,32,0
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
L34:
	.blkb 11
	.area idata
	.byte 'T,'e,'s,'t,'i,'n,'g,46,46,46,0
	.area data(ram, con, rel)
	.dbfile D:\AVREXT~1\Sram_test\memtest.c
