/*         

  - AVR -  -   avr123.nm.ru

   AVR335 atmel          gaw.ru
 
    .

==================

last_byte_position_buffer    last_byte_page 
     
        

     FLASH  at45db161 
   at90s8535     

  498  , 
 12,2 %     


  :

1.    

2.  5  

0 1 2 ... 254 255 0 1 2 ....

3.      rs232   

   (528 ) 
  8 : NextPg.

     main .

 UART  115200   
 3.68     (  "" - "" )
 
*/
     

// I/O register definitions for AT90S8535
#include <90s8535.h>

#include <at45d161.h> 

// Standard Input/Output functions
#include <stdio.h>

// delay functions
#include <delay.h>  
                     


//  


// 

void setup(void)  //   
{   
      DDRB = 0xB5;  // SPI Port initialisation  1011 0101
      
      // SCK    SO      SI      CS                   RDY/BSY                     
      // PB7    PB6     PB5     PB4     PB3    PB2     PB1      PB0             
      //                 
      // Out    In      Out     Out     In     Out     In       Out                  
      //  1      0       1       1       1      1       0        1         
    
/*
    
    PB1 - RDY      0x02
    PB4 - CS    DF_CHIP_SELECT
    
*/
                                            
    PORTB = 0xFF; // all outputs high, inputs have pullups  
     
    //  2 :
    DDRA = 0x00;  // define port A as an input    
    DDRA.4 = 1;  // define PA4 out for RED LED.   
    DDRA.5 = 1;  // define PA5 out for GREEN LED.
    
    PORTA = 0x00;
	 
	DDRC = 0;    
 	PORTC = 0;
 	
 	DDRD = 0;    
 	PORTD = 0; 
 	
//////////////////////////////////////////////////////
// UART initialization
// Communication Parameters: 8 Data, 1 Stop, No Parity

// UART Receiver: Off
// UART Transmitter: On
// UART Baud rate: 115200

UCR=0x00;
UBRR=0x01;
UCR=0x08;

/*      rs232

while (!USR.5); //    UDR

//  UART Status Register:  USR     AT90S/LS8535  p.62

//  5   "1"    UDR   
//   .

//  USR.5==1       UDR.

//  5   0    UDR. 

UDR = data_out; //      UART

*/ 

    #asm("sei") //   	 
    	  
} 





//  

void main(void)
{     
    unsigned int ctr = 0;
    
    setup();  
    
    PORTA.4=0;
    PORTA.5=0;
    //    
    delay_ms(2000);
    //  2 .
    
    PORTA.4=1;
    PORTA.5=1;
    //   
    
    delay_ms(2000);
    //  2 .  
    
    
    PORTA.5=0; //      
    
    erasing(); //  
    
     
    PORTA.4=1;
    PORTA.5=1;
    //   
    
    delay_ms(2000);
    //  2 .
    
    PORTA.4=0; //       
    
    //  5 .  last_byte_page 
    //  4,  .
    //    0 1 2 3 4  -  5.
    
    while (last_byte_page < 4)  
    {
    dumb_data = 0;
    ctr = 0;
    
    	while (ctr<528)
    	{
     	write_to_flash(dumb_data);
     	dumb_data++;  
     	ctr++;
    	}
       
    }  
         
    
    PORTA.4 = 1; //      
    
    delay_ms(2000); //  2 
    
   
    PORTA.5=0; //       
    
    playback(); 
    //       
    
    /*
      5   528    
    0 1 2 ... 254 255 0 1 2 ....
      
         
        255 
    
          8 
    :  Next p.
    
    //   ,    
    //          
    */
    
    PORTA.5 = 1; 
    //    

   
    for(;;); 
    //  ?      
    
} 
